Skip to content

Get a transfer in the selected organization

GET
/v1/organizations/{organizationId}/transfers/{transferId}

API key scope: transfers:read.

transferId
required
string
X-Request-Id
string

Optional client request id returned in structured errors.

Transfer found.

Media typeapplication/json
object
id
required
string format: uuid
organizationId
required
string format: uuid
environment
required
string
Allowed values: live test
productId
required
string format: uuid
sourceLocationId
required
string format: uuid
destinationLocationId
required
string format: uuid
ownerId
required
string format: uuid
channelId
required
string format: uuid
quantity
required
number
shippedQuantity
required
number
receivedQuantity
required
number
pendingShipmentQuantity
required
number
pendingReceiveQuantity
required
number
status
required
string
Allowed values: inTransit received cancelled closed
referenceType
object
referenceId
object
metadata
object
key
additional properties
any
createdBy
object
actor
required
object
type
required
string
Allowed values: user api_key system
id
object
label
required
string
shippedAt
object
receivedAt
object
cancelledAt
object
closedAt
object
closeReason
object
product
object
id
required
string format: uuid
name
required
string
sku
required
string
sourceLocation
object
id
required
string format: uuid
name
required
string
code
required
string
type
required
string
Allowed values: warehouse store virtual
destinationLocation
object
id
required
string format: uuid
name
required
string
code
required
string
type
required
string
Allowed values: warehouse store virtual
owner
object
id
required
string format: uuid
name
required
string
code
required
string
type
required
string
channel
object
id
required
string format: uuid
name
required
string
code
required
string
type
required
string
createdAt
required
string format: date-time
updatedAt
required
string format: date-time
Example
{
"id": "77777777-7777-4777-8777-777777777777",
"organizationId": "11111111-1111-4111-8111-111111111111",
"environment": "test",
"productId": "22222222-2222-4222-8222-222222222222",
"sourceLocationId": "33333333-3333-4333-8333-333333333333",
"destinationLocationId": "44444444-4444-4444-8444-444444444444",
"quantity": 2,
"shippedQuantity": 2,
"receivedQuantity": 0,
"pendingShipmentQuantity": 0,
"pendingReceiveQuantity": 2,
"status": "inTransit",
"referenceType": "internal_transfer",
"referenceId": "transfer_01JABC",
"metadata": {
"channel": "panel"
},
"actor": {
"type": "api_key",
"id": "api-key-1",
"label": "Public test integration"
},
"product": {
"id": "22222222-2222-4222-8222-222222222222",
"name": "Black T-Shirt - Medium",
"sku": "TSHIRT-BLACK-M"
},
"sourceLocation": {
"id": "33333333-3333-4333-8333-333333333333",
"name": "Main Warehouse",
"code": "MAIN-WH",
"type": "warehouse"
},
"destinationLocation": {
"id": "44444444-4444-4444-8444-444444444444",
"name": "Retail Store",
"code": "STORE-1",
"type": "store"
},
"shippedAt": "2026-06-29T10:00:00.000Z",
"receivedAt": null,
"cancelledAt": null,
"closedAt": null,
"closeReason": null,
"createdAt": "2026-06-29T10:00:00.000Z",
"updatedAt": "2026-06-29T10:00:00.000Z"
}

The organization has exhausted its monthly public API request quota.

Media typeapplication/json
Example
{
"error": {
"code": "PLAN_LIMIT_EXCEEDED",
"message": "Plan limit exceeded for api_requests",
"requestId": "req_123",
"details": {
"entitlementKey": "api_requests",
"scope": "environment",
"environment": "live",
"configured": true,
"limit": "50000",
"used": "50000",
"requested": "1",
"currentPlan": {
"code": "free",
"version": 1
},
"requiredPlan": {
"code": "starter",
"version": 1,
"requiresOverride": false
}
}
}
}